.map {
    position: relative;

    h4 {
        padding: 72px 0px;
        font-size: 37px;
        line-height: 50px;
        font-weight: 600;
        color: $black;

        @include media-breakpoint-down(sm) {
            font-size: 30px;
            line-height: 40px;
            padding: 45px 0px;
        }
    }

    &-wrap {
        width: 100vw;
        height: 728px;
        margin: 0 auto;
        overflow: hidden;
        position: relative;
        z-index: 1;

        @include media-breakpoint-down(md) {
            height: 80vw;
        }
    }

    &-box {
        position: relative;

        .container {
            position: absolute;
            left: 50%;
            top: 50%;
            width: 100%;
            transform: translate(-50%, -50%);
            z-index: 1;
            pointer-events: none;

            @include media-breakpoint-down(md) {
                position: relative;
                left: 0;
                top: 0;
                transform: translate(0px, 0px);
            }
        }
    }

    &-popup {
        position: relative;
        // position: absolute;
        // right: 40px;
        // top: 50%;
        // transform: translateY(-50%);
        margin-left: auto;
        width: 470px;
        border-radius: 35px;
        overflow: hidden;
        background-color: white;
        z-index: 2;
        pointer-events: all;

        @include media-breakpoint-down(md) {
            width: 100%;
            border-radius: 0px;

        }

        &.hidden {
            display: none;
        }

        &-content {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            text-align: left;
            padding: 80px 40px;

            @include media-breakpoint-down(sm) {
                padding: 45px 0px;
            }

            .region {
                font-size: 30px;
                line-height: 42px;
                font-weight: 500;
                color: $black;
                
                @include media-breakpoint-down(sm) {
                    font-size: 24px;
                    line-height: 36px;
                }
            }

            &-info {
                position: relative;
                margin-top: 15px;

                &-item {
                    display: flex;
                    align-items: flex-start;
                    margin-top: 20px;

                    &-icon {
                        width: 32px;
                        height: auto;
                        margin-right: 20px;
                        user-select: none;
                    }

                    &-content {
                        font-size: 20px;
                        line-height: 34px;
                        color: $black;
                        display: flex;
                        flex-direction: column;
                        
                        .go-to, a {
                            font-size: 18px;
                            line-height: 30px;
                            color: $black;
                            text-decoration: underline;
                            cursor: pointer;

                            &.phone {
                                font-size: 20px;
                                line-height: 34px;
                                text-decoration: none;
                                color: $black;
                            }
                        }

                        a, span {
                            transition: .4s;

                            &:hover {
                                color: #89db33;
                            }
                        }
                    }
                }
            }
        }

        &-close {
            position: absolute;
            right: 24px;
            top: 30px;
            cursor: pointer;

            @include media-breakpoint-down(sm) {
                right: 0px;
                top: 20px;
            }

            img {
                width: 36px;

                @include media-breakpoint-down(sm) {
                    width: 25px;
                }
            }
        }
    }

    .leaflet-top.leaflet-right {
        display: none;
    }
}